Name:           gnome-fallback-session
Version:        0.1
Release:        5
Summary:        A Gnome 3 Fallback session configuration

Group:          Graphical desktop/GNOME
License:        GPLv3+
URL:            http://rosalab.ru
Source0:        %{name}-%{version}.tar.gz
Source1:	startgnomefallback
BuildArch:      noarch
Requires:	rosa-gnome-panel >= 3.6.2-2
Requires:	nautilus >= 3.8.2-2
Requires:	metacity
Requires:	gnome-session
Requires:	gnome-settings-daemon >= 3.8.4-5

%description
This package contains GNOME 3 Fallback session configuration

%prep
%setup -q

%build
# Nothing to build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-session/sessions/
cp gnome-session/gnome-fallback.session  %{buildroot}%{_datadir}/gnome-session/sessions/

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/04GNOMEFallBack
NAME=GNOME Classic Fallback
ICON=gnome-logo-icon-transparent.png
DESC=GNOME 2 Classic Fallback
EXEC=%{_bindir}/startgnomefallback
SCRIPT:
exec %{_bindir}/startgnomefallback
EOF

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}

%post
%{make_session}

%files
%defattr(-,root,root,-)
%{_bindir}/startgnomefallback
%{_sysconfdir}/X11/wmsession.d/*
%{_datadir}/gnome-session/sessions/gnome-fallback.session

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.1-5
+ Revision: 99d9bba
- MassBuild#440: Increase release tag


